System.Web 2.0.0.0 System.Collections.IEnumerable

The interface extends the interface and exposes , which is a method used to retrieve an object from an enumerated item, in addition to the method.

Typically, clients that use collections retrieve an object by calling the method, then iterate through the enumeration and call the on each enumerated item to retrieve an object.

Represents a hierarchical collection that can be enumerated with an interface. Collections that implement the interface are used by ASP.NET site navigation and data source controls.

- Method
  System.Web.UI.IHierarchyData ``

  Typically, clients that use collections retrieve an object by calling the method, then iterate through the enumeration and call the method on each enumerated item to retrieve an object.

  Returns a hierarchical data item for the specified enumerated item.

  An instance that represents the passed to the method.

  The for which to return an . 2.0.0.0